Package org.gradle.nativeplatform.platform

# Interface NativePlatform

All Superinterfaces:
  `Describable`, `Named`, `Platform`

public interface NativePlatform extends Platform, Describable
A target platform for building native binaries. Each target platform is given a name, and may optionally be given a specific `Architecture` and/or `OperatingSystem` to target.

         model {
             platforms {
                 windows_x86 {
                     architecture "i386"
                     operatingSystem "windows"
                 }
             }
         }

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `architecture(String name)`
  Sets the cpu architecture being targeted.
  `Architecture`
  `getArchitecture()`
  The cpu architecture being targeted.
  `OperatingSystem`
  `getOperatingSystem()`
  The operating system being targeted.
  `void`
  `operatingSystem(String name)`
  Sets the operating system being targeted.

  ### Methods inherited from interface org.gradle.api.Describable

  `getDisplayName`

  ### Methods inherited from interface org.gradle.platform.base.Platform

  `getDisplayName, getName`

- ## Method Details

  - ### getArchitecture

    Architecture getArchitecture()
    The cpu architecture being targeted. Defaults to the default architecture produced by the tool chain.

  - ### architecture

    void architecture(String name)
    Sets the cpu architecture being targeted.

    The architecture is provided as a string name, which is translated into one of the supported architecture types.

    See Also:
      - `Supported notations.`

  - ### getOperatingSystem

    OperatingSystem getOperatingSystem()
    The operating system being targeted. Defaults to the default operating system targeted by the tool chain (normally the current operating system).

  - ### operatingSystem

    void operatingSystem(String name)
    Sets the operating system being targeted.

    The operating system is provided as a string name, which is translated into one of the supported operating system types.

    See Also:
      - `Supported notations.`